Part: Casetă

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Box and the translation is 74% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Next: Cone Part Cone.png Arrow-right.svg

Part Box.svg Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part, Complete
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Descriere

Comanda Box din Atelierul Part Workbench inserează o casetă parametrică, rectangular cuboid, o primitivă geometrică în documentul activ. Implicit, comanda Box va insera un cub de 10x10x10 mm, poziționaat în origine, cu denumirea/eticheta "cube". Acești parametri pot fi modificați după adăugarea obiectului.

Part_Box

Cum se folosește

  • Click the cube icon Part Box.png from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Opțiuni

  • Via Property Editor:
    • Length: Definește cota lungime pentru obiectul dvs Casetă (valoarea implictă este 10 mm).
    • Width: Setează cota lățime pentru obiectul dvs Box (default is 10 mm).
    • Height: Stabilește cota înălțime pentru obiectul dvs tip Box (default is 10 mm).
    • Placement: Specifică orientarea și poziția Box in spațiul 3D . Vedeți Placement.Punctul de referință este colțul frontal din stânga al cutiei.
    • Label:Eticheta este numele acordat operațiunii. Acest nume poate fi schimbat după cum vă este la îndemână.

Proprietăți

Base

  • DATAPlacement: Determină orientarea și poziția casetei în spațiul 3D. Vedeți Placement. Punctul de referință este colțul frontal din stânga al cutiei.
  • DATALabel: Etichetă dată obiectului Casetă. Modificați pentru a vi se potrivi nevoilor.

Box

  • DATALength:Parametrul lungime este dimensiunea Box în direcția x.
  • DATAWidth: Parametrul lățime este dimensiunea Box în direcția y.
  • DATAHeight: Parametrul înălțime este dimensiunea Box în direcția z.

Part_Box-Properties

Scripting

Comanda Box poate fi utilizat în macros și din consola python utilizând următoarea funcție:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Unde "myBox" este o denumire/etichetă pentru obiectul Box.
  • Are ca rezulta obiectul nou creat de tip Box.

Puteți accesa și modifica atributele obiectului Box. De exemplu, ați putea dori să modificați parametrii de lungime, lățime și înălțime.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Puteți schimba amplasamentul cu:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Începând cu versiunea 0.14, Part Box se referă la un element GUI ca un Cub și denumirea/eticheta implicită este "Cube".

FreeCAD.png
Next: Cone Part Cone.png Arrow-right.svg